Best way to upgrade Helm?

#1

The current version of helm bundled with planet is 2.8.1 (and tiller in gravity). Is it possible to upgrade this without building custom planet images? We have some optional features that, when enabled, require at least Helm 2.10 to function.

Obviously this could be done after the cluster is setup, but that adds friction to the installation process and we’d prefer the base images to include a more recent release.

0 Likes

#2

This could be done in install hook, but in general we should be doing better job keeping up with helm. What gravity cluster are you using?

0 Likes

#3

We’ve been using the 5.2.x community release of but are moving to the latest 5.5.x now. It seems that upgrading the helm binary in a hook would be possible, but I’m not sure about Tiller. We need to support air-gapped installs and the tiller “app” uses its own image.

It looks like it should be possible to provide our own tiller app to replace the one shipped with Gravity but I’ve been unable to figure out how that can or should be done. Are there any docs or guides that I’m missing about customizing that app?

0 Likes

#4

A point of confusion for me is that tele version on the 5.5.x branch shows a helm version as 2.12. This is the version of the vendor package used by tele, but is not the same version as what planet and the tiller app use.

0 Likes

#5

Hi @jlogsdon!

Actually, gravity 5.5 has tiller 2.12 but you’re right - helm binary packages with planet is still 2.8. I just checked on a 5.5 cluster:

$ helm version
Client: &version.Version{SemVer:"v2.8.1", GitCommit:"6af75a8fd72e2aa18a2b278cfe5c7a1c5feca7f2", GitTreeState:"clean"}
Server: &version.Version{SemVer:"v2.12.0", GitCommit:"d325d2a9c179b33af1a024cdb5a4472b6288016a", GitTreeState:"clean"}

I will bump helm version in planet to 2.12 as well and publish a new patch release.

Would that work for you?

Thanks,
Roman

0 Likes

#6

That would be perfect, thank you!

0 Likes

#7

Hi @jlogsdon!

I have published new release version 5.5.5 which updates helm and tiller to v2.12.3.

Hope that helps,
Roman

1 Like

#8

Thanks for the quick turn around!

0 Likes